Bug 27432 - apmd daemon not starting
Summary: apmd daemon not starting
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-13 19:16 UTC by John A. Hull
Modified: 2007-04-18 16:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-04 19:17:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John A. Hull 2001-02-13 19:16:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; DigExt)


Installed RedHat 7.1 (florence) on Dell PowerEdge (newt) 300. The apmd 
script did not start the daemon /etc/rc3.d/S26apmd. also 
calling "/usr/sbin/apmd start" resulted in error message "no apmd support 
in kernel. Checked ntsysv, it showed apmd service set to start on boot. 

Reproducible: Always
Steps to Reproduce:
1. call "/usr/bin/apmd start"
2. 
3.

Comment 1 Glen Foster 2001-02-13 19:21:51 UTC
Is this an SMP system?

Comment 2 Bernhard Rosenkraenzer 2001-02-13 19:28:22 UTC
It's either an SMP system or the kernel was recompiled without APM support.
apmd is working perfectly on all my UP systems.

Comment 3 Bernhard Rosenkraenzer 2001-02-13 19:32:50 UTC
SMP and APM don't work together, this is a limitation of the apm protocol, not
of apmd.

Comment 4 John A. Hull 2001-02-14 18:07:49 UTC
I didn't know that apmd is not supported with the SMP kernel. I verified that 
apmd does start and work correctly with the UP kernel on this system, and that 
it does not work with the SMP kernel.

Comment 5 Johnray Fuller 2001-08-01 00:18:14 UTC
This gentleman has a Presarrio 1900 163XL.

The installer put a kernel that has no apmd support.

He is Cc'd on this Bug report and will post comments.

I had him type:

/usr/sbin/apmd start

He got the error message "no apmd support  in kernel."

So I am assuming there is a porblem either with ampd or the intaller.

Comment 6 Johnray Fuller 2001-08-01 00:21:04 UTC
Mr. Holcomb is the one who has this issue. He will post the results of uname 
-r.

Comment 7 Matt 2001-08-01 00:38:43 UTC
[root@localhost /root]# uname -r
2.4.2-2
[root@localhost /root]#

This is the kernel I am running.

Comment 8 Bernhard Rosenkraenzer 2001-08-02 11:11:06 UTC
The apm daemon is not supposed to start on kernels without APM support (such 
as all SMP systems - APM is not SMP-safe).



Comment 9 Johnray Fuller 2001-08-02 21:28:49 UTC
Hey Bero,

I am reopening this because I do not believe that  2.4.2-2 is an SMP kernel.
2.4.2-2smp is, right?

Please explain why you are saying that 2.4.2-2 is an SMP kernel?

Also,  this system is a laptop with one processor., just so ya know.

Finally, I want to recommend to Mr. Holcomb that he upgrade to the latest Kernel
erratta by either updating RHN first:

http://www.redhat.com/support/errata/RHBA-2001-048.html

Then running up2date. Or by upgrading the kernel by hand:

http://www.redhat.com/support/errata/RHSA-2001-084.html

Johnray

Comment 10 Bernhard Rosenkraenzer 2001-08-02 22:10:24 UTC
My guess is it's a recompiled 2.4.2-2 with modified settings.
The 2.4.2-2 we shipped has apm support and works on all machines here.

Comment 11 Johnray Fuller 2001-08-02 23:17:13 UTC
Thanks for the feedback Bero.

So Mr. Holcomb, did you make your own kernel? I thought I asked you this before
filling this report, but I want to get a response on the record.

Also, I remember seeing something funny in your lilo.conf. What was that entry
caused by again?

Finally, please let me know if the kernel update fixes this issue ASAP so we can
close this bug.

Thanks a million.

J


Comment 12 Matt 2001-08-04 19:09:22 UTC
I reinstalled Redhat fresh using the default Laptop configuration. I notice in 
the output when booting the line: apm: Bios not found.

Comment 13 Bernhard Rosenkraenzer 2001-08-04 19:17:44 UTC
Then apmd is doing the right thing - if you don't have an APM BIOS (or if your APM 
BIOS is broken), apmd shouldn't start.

Assigning to kernel because it might actually be a problem with the kernel not 
detecting the APM BIOS, but it's much more likely a BIOS bug.



Comment 14 Michael K. Johnson 2002-01-18 01:26:00 UTC
This is probably a system with only ACPI, which is not yet supported.
Unfortunately, I don't think this is a bug, just a not-yet-ready and
thus missing feature.


Note You need to log in before you can comment on or make changes to this bug.